public string GetSubstringByString(string a, string b, string c) {
    return c.Substring((c.IndexOf(a) + a.Length), (c.IndexOf(b) - c.IndexOf(a) - a.Length));
}

foreach(var font in Data.Fonts)
{
	string font_name = font.Name.ToString().Substring(1,font.Name.ToString().Length-2);
	string font_file = "FONTS"+System.IO.Path.DirectorySeparatorChar+font_name+".font.gmx";
	if (System.IO.File.Exists(font_file)) {
		string contents = File.ReadAllText(font_file);
		
		string glyphtable = GetSubstringByString("<glyphs>\r\n", "\r\n  </glyphs>",contents);	
		font.Glyphs.Clear();
		
		//font.DisplayName = new UndertaleString(GetSubstringByString("<name>", "</name>",contents));
		font.EmSize = UInt16.Parse(GetSubstringByString("<size>", "</size>",contents));
		font.Bold = GetSubstringByString("<bold>", "</bold>",contents).Equals("1");
		font.Italic = GetSubstringByString("<italic>", "</italic>",contents).Equals("1");
		
		string range = GetSubstringByString("<range0>", "</range0>",contents);
		
		font.RangeStart = UInt16.Parse(range.Split(',')[0]);
		font.RangeEnd = UInt16.Parse(range.Split(',')[1]);
		
		using (StringReader reader = new StringReader(glyphtable)) {
			string line;
			while ((line = reader.ReadLine()) != null)
			{
				UndertaleFont.Glyph current = new UndertaleFont.Glyph();
				current.Character = UInt16.Parse(GetSubstringByString("character=\"","\" x",line));
				current.SourceX = UInt16.Parse(GetSubstringByString(" x=\"","\" y",line));
				current.SourceY = UInt16.Parse(GetSubstringByString(" y=\"","\" w",line));
				current.SourceWidth = UInt16.Parse(GetSubstringByString(" w=\"","\" h",line));
				current.SourceHeight = UInt16.Parse(GetSubstringByString(" h=\"","\" s",line));
				current.Shift = Int16.Parse(GetSubstringByString(" shift=\"","\" o",line));
				current.Offset = Int16.Parse(GetSubstringByString(" offset=\"","\"/>",line));
				font.Glyphs.Add(current);
			}
		}
		
	}
}